#!/bin/sh
##------------------------------------------------------------------------------
## local: opt\files\usr\local\bin\macfilter_log.sh
## fli4l: usr/local/bin/macfilter_log.sh
## DE: Skript zum Schreiben des Debuglogs
## EN: skript to write the debug log
##------------------------------------------------------------------------------
## Creation:        03.12.2008  Florian Schlgl <Florian_Schloegl.Wolfsteam@web.de>
## Last modified:   03.12.2008  Florian Schlgl <Florian_Schloegl.Wolfsteam@web.de>
## Version:         1.1.0-1.1.1
##
## Copyright (c) 2008 Florian Schlgl <Florian_Schloegl.Wolfsteam@web.de>
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2 of the License, or
## (at your option) any later version.
##------------------------------------------------------------------------------
## Parameter:   <$1 = "Logtype"> <$2 = Logeintrag>  bestimmten Logeintrag hinzufgen
##              <$1 = Logeintrag>                   Info Logeintrag hinzufgen
## Files:   /var/run/macfilter.conf
##          $MACFILTER_LOG_PATH/macfilter.log
##------------------------------------------------------------------------------
. /srv/www/include/cgi-helper
. /var/run/macfilter.conf

if [ ! $1 = "--help" ]
then
    if [ $MACFILTER_LOG = "yes" ]
    then
        #----------------------------------------
        # DE: Datum und Zeit einstellen
        # EN: date and time
        #----------------------------------------
        output_date=`date +%Y-%m-%d`
        output_time=`date +%H:%M:%S`

        #----------------------------------------
        # DE: Loglevel bestimmen
        # EN: get loglevel
        #----------------------------------------
        if [ "$1" = "--debug" -o "$1" = "-D" ]
        then
            output_level="DEBUG"
            shift 1
        else if [ "$1" = "--info" -o "$1" = "-I" ]
        then
            output_level="INFO"
            shift 1
        else if [ "$1" = "--warn" -o "$1" = "-W" ]
        then
            output_level="WARN"
            shift 1
        else if [ "$1" = "--error" -o "$1" = "-E" ]
        then
            output_level="ERROR"
            shift 1
        else
            output_level="INFO"
        fi
        fi
        fi
        fi

        #----------------------------------------
        # DE: Logeintrag erstellen
        # EN: create log entry
        #----------------------------------------
        if [ $output_level = "DEBUG" -a $MACFILTER_DEBUG = "no" ]
        then
            output="false"
        else
            output="true"
        fi
        
        if [ $output = "true" ]
        then
            output_message="$output_date $output_time $output_level $@"
            echo $output_message >> $MACFILTER_LOG_PATH/macfilter.log
        fi
    fi
else
    echo "commands:"
    echo "  [-D|--debug|-I|--info|-W|--warn|-E|--error] <log entry>"
    echo "      log an entry"
    echo "        if not specified default is info"
    echo "  --help"
    echo "      print this help"
fi
#----------------------------------------------------------------------------
# macfilter_log.sh -- EOF ---
#----------------------------------------------------------------------------